<web-app xmlns="http://java.sun.com/xml/ns/javaee"
   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
   xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"
   version="2.5">

  <servlet>
    <servlet-name>ClickServlet</servlet-name>
    <servlet-class>org.apache.click.ClickServlet</servlet-class>
    <load-on-startup>0</load-on-startup>
  </servlet>
  <servlet>
    <servlet-name>ImageServlet</servlet-name>
    <servlet-class>jp.sf.amateras.mirage.example.util.ImageServlet</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>InitializeDatabaseServlet</servlet-name>
    <servlet-class>jp.sf.amateras.mirage.example.util.InitializeDatabaseServlet</servlet-class>
    <load-on-startup>1</load-on-startup>
  </servlet>

  <servlet-mapping>
    <servlet-name>ClickServlet</servlet-name>
    <url-pattern>*.htm</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>ClickServlet</servlet-name>
    <url-pattern>/click/*</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>ImageServlet</servlet-name>
    <url-pattern>/image</url-pattern>
  </servlet-mapping>

  <filter>
    <filter-name>OpenSessionInViewFilter</filter-name>
    <filter-class>jp.sf.amateras.mirage.filter.OpenSessionInViewFilter</filter-class>
  </filter>

  <filter-mapping>
    <filter-name>OpenSessionInViewFilter</filter-name>
    <url-pattern>*</url-pattern>
    <dispatcher>REQUEST</dispatcher>
  </filter-mapping>

  <welcome-file-list>
    <welcome-file>redirect.html</welcome-file>
  </welcome-file-list>
</web-app>
